--eMerge 4
--Clinical Data Elements
--Participant Identifying Data

--Note: The code below was built in Netezza SQL and may need modification to run on SQL Server, Oracle, etc.

--Person_ID from OMOP
--MRN
--ehr_participant_first_name
--ehr_participant_last_name
--ehr_date_of_birth

/*
Prerequisite: Create a table that includes the MRN, ehr_participant_first_name, 
ehr_participant_last_name, and ehr_date_of_birth for the patients in your R4 dataset.
*/

create or replace view V_e4_CDE_Participant_Source_Data as
	select
		P.Person_ID
		, S.MRN
		, S.ehr_participant_first_name
		, S.ehr_participant_last_name
		, S.ehr_date_of_birth
	--Modify line below to indicate your source data for the R4 patients:
	from 
		e4_CDE_Participant_Source_Data as S
		join
		V_Person as P
			on S.MRN = P.PERSON_SOURCE_VALUE	
;